Bids
GET
bids/{bidId}/notes/{noteId}
Retrieves the specified note.
The note is associated with a particular bid line item using the lineItemFingerprint object.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/bids/{bidId}/notes/{noteId} |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
* Required
Response
HTTP Status Code Summary
| 200 OK | OK |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
Expand all
| id string | The unique ID of the note.
Max length: 24 |
| note string | The notes for the line item in the bid.
Max length: 65536 |
| createdBy string | User ID of the user who first created the note.
Max length: 24 |
| updatedBy string | User ID of the user who most recently updated the note.
Max length: 24 |
| createdAt datetime: ISO 8601 | The date and time that the note was created, in ISO 8601 format. |
| updatedAt datetime: ISO 8601 | The date and time that the note was last updated, in ISO 8601 format. |
| lineItemFingerprint object | Details that identify a line item. |
| type enum:string | The line item’s type.
Possible values: ADDENDUM, ALTERNATE, COST_BREAKDOWN, INCLUSION, ACKNOWLEDGMENT, BONDING, CERTIFICATION, MARKUP, LABOR_RATE |
| description string | The description of the line item. This string is all lowercase.
Max length: 65536 |
| section string | The bid section that the line item is under. This string is all lowercase.
Note that this value is null if the item is not under a section. Max length: 65536 |
| unit enum:string | The unit format of the line item.
Possible values: ACRES, ADD_DEDUCT, AMPS, BOARD_FT, CUBIC_FT, CUBIC_METERS, CUBIC_YARDS, DAYS, EACH, FLOORS, GALLONS, GROSS_SQUARE_FT, GROSS_SQUARE_METERS, HOURS, KILOGRAMS, LINEAR_FT, LINEAR_METERS, LINEAR_YARDS, LITERS, LOT, METRIC_TONS, MONTHS, PERCENTAGE, PER_ACRE, PER_AMP, PER_BOARD_FT, PER_CUBIC_FT, PER_CUBIC_METER, PER_CUBIC_YARD, PER_DAY, PER_EACH, PER_FLOOR, PER_GALLON, PER_GROSS_SQUARE_FT, PER_GROSS_SQUARE_METER, PER_HOUR, PER_KILOGRAM, PER_LINEAR_FT, PER_LINEAR_METER, PER_LINEAR_YARD, PER_LITER, PER_LOT, PER_METRIC_TON, PER_MONTH, PER_POUND, PER_RISER, PER_SQUARE_FT, PER_SQUARE_METER, PER_SQUARE_YARD, PER_SQUARE_YARD_INCH, PER_STALL, PER_STOP, PER_TON, PER_WATT, PER_WEEK, POUNDS, RISERS, SQUARE_FT, SQUARE_METERS, SQUARE_YARDS, SQUARE_YARD_INCHES, STALLS, STOPS, TEXT, TONS, TOTAL_COST_ONLY, WATTS, WEEKS, YES_NO, YES_NO_WITH_ADJUSTMENT |
| code string | The code associated with the line item. This string is all lowercase.
Note that this value is null if Max length: 65536 |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bids/:bidId/notes/:noteId' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"id": "5f8104b87e392d56e1e4b4ad",
"note": "This is a note about the line item",
"createdBy": "5f8104b87e392d56e1e4f7ad",
"updatedBy": "5f8104b87e392d56e1e4f7ad",
"createdAt": "2021-08-19T23:07:16.083Z",
"updatedAt": "2021-08-20T23:07:16.083Z",
"lineItemFingerprint": {
"type": "COST_BREAKDOWN",
"description": "duct insulation",
"section": "furnish & install",
"unit": "HOURS",
"code": "d2"
}
}
Show More